slepc-3.10.1 2018-10-23
Report Typos and Errors

# SVDSolve

Solves the singular value problem.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSolve(SVD svd)

Collective on SVD

### Input Parameter

| svd | - singular value solver context obtained from SVDCreate()

### Options Database Keys

| -svd_view | - print information about the solver used
| -svd_view_mat binary | - save the matrix to the default binary viewer
| -svd_view_vectors binary | - save the computed singular vectors to the default binary viewer
| -svd_view_values | - print computed singular values
| -svd_converged_reason | - print reason for convergence, and number of iterations
| -svd_error_absolute | - print absolute errors of each singular triplet
| -svd_error_relative | - print relative errors of each singular triplet

### See Also

SVDCreate(), SVDSetUp(), SVDDestroy()

Location: src/svd/interface/svdsolve.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/svd/examples/tutorials/ex8.c.html
src/svd/examples/tutorials/ex14.c.html
src/svd/examples/tutorials/ex15.c.html
src/svd/examples/tutorials/ex15f.F.html